import { Done } from '../../../Class/Functional/Done';
import { Semifunctional } from '../../../Class/Semifunctional';
import { System } from '../../../system';
import { A } from '../../../types/interface/A';
export interface I {
    length: number;
    done: any;
}
export interface O {
    array: A;
}
export default class Uint8ClampedArray_ extends Semifunctional<I, O> {
    constructor(system: System);
    f({ length }: I, done: Done<O>): void;
    onIterDataInputData(name: string, data: any): void;
}
